Merge "Add v1alpha2 integration ci job"
authorMaël Kimmerlin <mael.kimmerlin@est.tech>
Thu, 12 Dec 2019 11:05:04 +0000 (11:05 +0000)
committerNordix Gerrit <gerrit@nordix.org>
Thu, 12 Dec 2019 11:05:04 +0000 (11:05 +0000)
44 files changed:
jjb/cloud-infra/cloud-infra-engine-verify-deploy.yaml [moved from jjb/cloud-infra/cloud-infra-verify-engine.yaml with 100% similarity]
jjb/cloud-infra/cloud-infra-engine-verify-lint.yaml [new file with mode: 0644]
jjb/cloud-infra/cloud-infra-macros.yaml
jjb/cloud-infra/cloud-infra-periodic-onap.yaml
jjb/cloud-infra/cloud-infra-periodic-spinnaker.yaml [new file with mode: 0644]
jjb/cloud-infra/scripts/cloud-infra-ansible-lint.sh [new file with mode: 0644]
jjb/cloud-infra/scripts/cloud-infra-shellcheck.sh [new file with mode: 0644]
jjb/cloud-infra/scripts/promote-spinnaker.sh [new file with mode: 0644]
jjb/cloud-infra/scripts/spinnaker-deploy.sh [new file with mode: 0644]
jjb/cloud-infra/scripts/spinnaker-test.sh [new file with mode: 0644]
jjb/cloud-infra/spinnaker-macros.yaml [new file with mode: 0644]
jjb/infra/jjb-merge.sh
jjb/infra/jjb-verify.sh
jjb/onap/vnfsdk-compliance/vnfsdk-compliance-push-upstream-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-compliance/vnfsdk-compliance-rebase-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-dovetail-integration/vnfsdk-dovetail-integration-push-upstream-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-dovetail-integration/vnfsdk-dovetail-integration-rebase-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-dovetail-integration/vnfsdk-dovetail-integration-verify-jobs.yaml [new file with mode: 0644]
jjb/onap/vnfsdk-functest/vnfsdk-functest-push-upstream-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-functest/vnfsdk-functest-rebase-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-functest/vnfsdk-functest-verify-jobs.yaml [new file with mode: 0644]
jjb/onap/vnfsdk-ice/vnfsdk-ice-push-upstream-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-ice/vnfsdk-ice-rebase-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-ice/vnfsdk-ice-verify-jobs.yaml [new file with mode: 0644]
jjb/onap/vnfsdk-lctest/vnfsdk-lctest-push-upstream-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-lctest/vnfsdk-lctest-rebase-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-lctest/vnfsdk-lctest-verify-jobs.yaml [new file with mode: 0644]
jjb/onap/vnfsdk-model/vnfsdk-model-push-upstream-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-model/vnfsdk-model-rebase-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-oom/vnfsdk-oom-push-upstream-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-oom/vnfsdk-oom-rebase-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-pkgtools/vnfsdk-pkgtools-push-upstream-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-pkgtools/vnfsdk-pkgtools-rebase-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-pkgtools/vnfsdk-pkgtools-verify-jobs.yaml [new file with mode: 0644]
jjb/onap/vnfsdk-refrepo/vnfsdk-refrepo-push-upstream-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-refrepo/vnfsdk-refrepo-rebase-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-refrepo/vnfsdk-refrepo-verify-jobs.yaml [new file with mode: 0644]
jjb/onap/vnfsdk-validation/vnfsdk-validation-push-upstream-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-validation/vnfsdk-validation-rebase-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-validation/vnfsdk-validation-verify-jobs.yaml [new file with mode: 0644]
jjb/onap/vnfsdk-ves-agent/vnfsdk-ves-agent-push-upstream-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk-ves-agent/vnfsdk-ves-agent-rebase-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk/vnfsdk-push-upstream-jobs.yml [new file with mode: 0644]
jjb/onap/vnfsdk/vnfsdk-rebase-jobs.yml [new file with mode: 0644]

diff --git a/jjb/cloud-infra/cloud-infra-engine-verify-lint.yaml b/jjb/cloud-infra/cloud-infra-engine-verify-lint.yaml
new file mode 100644 (file)
index 0000000..ed0121f
--- /dev/null
@@ -0,0 +1,104 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+- project:
+    name: 'cloud-infra-lint'
+
+    project: 'infra/engine'
+
+    stream:
+      - 'master':
+          branch: '{stream}'
+          disabled: false
+          successful: true
+          failed: true
+          unstable: true
+          notbuilt: true
+
+    lint-type:
+      - ansible-lint
+      - shellcheck
+
+    jobs:
+      - 'cloud-infra-verify-engine-{lint-type}-{stream}'
+
+- job-template:
+    name: 'cloud-infra-verify-engine-{lint-type}-{stream}'
+
+    disabled: '{obj:disabled}'
+
+    concurrent: true
+
+    node: infra-ubuntu1804
+
+    parameters:
+      - project-parameters:
+          project: '{project}'
+          branch: '{branch}'
+      - nordix-gerrit-parameters
+
+    properties:
+      - logrotate
+
+    wrappers:
+      - build-timeout:
+          timeout: 150
+      - fix-workspace-permissions
+
+    scm:
+      - git-scm-gerrit:
+          ssh-credentials-id: nordixinfra-nordix-gerrit-ssh
+          branch: '{branch}'
+          refspec: $GERRIT_REFSPEC
+          wipe_workspace: true
+          clean_before: false
+
+    triggers:
+      - gerrit:
+          server-name: 'Nordix Gerrit'
+          trigger-on:
+            - patchset-created-event:
+                exclude-drafts: 'false'
+                exclude-trivial-rebase: 'false'
+                exclude-no-code-change: 'false'
+            - draft-published-event
+            - comment-added-contains-event:
+                comment-contains-value: 'recheck'
+            - comment-added-contains-event:
+                comment-contains-value: 'reverify'
+          projects:
+            - project-compare-type: 'REG_EXP'
+              project-pattern: 'infra\/engine'
+              branches:
+                - branch-compare-type: 'ANT'
+                  branch-pattern: '**/{branch}'
+              file-paths:
+                - compare-type: 'ANT'
+                  pattern: '**'
+          skip-vote:
+            successful: '{obj:successful}'
+            failed: '{obj:failed}'
+            unstable: '{obj:unstable}'
+            notbuilt: '{obj:notbuilt}'
+          custom-url: '* $JOB_NAME $BUILD_URL'
+
+    builders:
+      - 'cloud-infra-{lint-type}-macro'
+
+# vim: set ts=2 sw=2 expandtab:
index 398f7e108140333692e84dd84aef1f39e3f88986..6d90afe06e32db67ec59d384c402b5cee8bff2c4 100644 (file)
       - shell:
           !include-raw: ./scenario-promote.sh
 
+- builder:
+    name: 'cloud-infra-ansible-lint-macro'
+    builders:
+      - shell:
+          !include-raw: ./scripts/cloud-infra-ansible-lint.sh
+
+- builder:
+    name: 'cloud-infra-shellcheck-macro'
+    builders:
+      - shell:
+          !include-raw: ./scripts/cloud-infra-shellcheck.sh
+
 # vim: set ts=2 sw=2 expandtab:
index d52496a63a88f9aaedd11f4dc9ee2929b2627af6..a0f2fcae582e0f1c1b0b89e35b6ed59179c260ab 100644 (file)
@@ -60,7 +60,7 @@
           deploy-scenario-version: master
           deploy-scenario-refspec: master
           disabled: false
-          delete-stack: 'no'
+          delete-stack: 'yes'
 
     distro:
       - ubuntu1804
diff --git a/jjb/cloud-infra/cloud-infra-periodic-spinnaker.yaml b/jjb/cloud-infra/cloud-infra-periodic-spinnaker.yaml
new file mode 100644 (file)
index 0000000..49305c0
--- /dev/null
@@ -0,0 +1,406 @@
+---
+#
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+#--------------------------------------------------------------------------------------
+# The jobs declared in this JJB configuration file are used for deploying and testing
+# Spinnaker using k8-calico-spinnaker scenario.
+#--------------------------------------------------------------------------------------
+
+- project:
+    name: 'cloud-infra-periodic-spinnaker'
+
+    project: 'infra/engine'
+
+    cloud:
+      - city:
+          slave-label: 'city-jumphost-ubuntu1804'
+          openrc-credentials-file: 'est-jenkins-openrcfile-city-frankfurt-onap'
+          daily-trigger: '@daily'
+
+    spinnaker-branch:
+      - '1.16':
+          nordix-branch: master
+          engine-version: master
+          engine-refspec: master
+          deploy-scenario: 'k8-calico-spinnaker'
+          deploy-scenario-version: master
+          deploy-scenario-refspec: master
+          disabled: false
+          delete-stack: 'yes'
+      # TODO: delete 1_16
+      - '1_16':
+          nordix-branch: master
+          engine-version: master
+          engine-refspec: master
+          deploy-scenario: 'k8-calico-spinnaker'
+          deploy-scenario-version: master
+          deploy-scenario-refspec: master
+          disabled: true
+          delete-stack: 'yes'
+
+    distro:
+      - ubuntu1804
+
+    ci-loop:
+      - daily
+
+    type:
+      - cloud:
+          pod-name: est-cloud
+          provisioner-type: heat
+          installer-type: kubespray
+
+    phase:
+      - spinnaker-deploy:
+          build-timeout: 60
+      - spinnaker-test:
+          build-timeout: 60
+      - promote-spinnaker:
+          build-timeout: 60
+
+    jobs:
+      - 'k8-calico-spinnaker-{distro}-{installer-type}-{cloud}-{type}-{ci-loop}-{spinnaker-branch}'
+      - '{phase}-{distro}-{installer-type}-{type}-{ci-loop}-{spinnaker-branch}'
+
+- job-template:
+    name: 'k8-calico-spinnaker-{distro}-{installer-type}-{cloud}-{type}-{ci-loop}-{spinnaker-branch}'
+
+    project-type: multijob
+
+    disabled: '{obj:disabled}'
+
+    concurrent: false
+
+    parameters:
+      - project-parameters:
+          project: '{project}'
+          branch: '{nordix-branch}'
+      - nordix-gerrit-parameters
+      - label:
+          name: SLAVE_LABEL
+          default: '{slave-label}'
+          description: 'Slave label to schedule this job on. All slaves have Ubuntu1604 no matter what distro target nodes use'
+      - string:
+          name: PROVISIONER_TYPE
+          default: 'heat'
+          description: 'Provisioner to use for provisioning nodes'
+      - string:
+          name: INSTALLER_TYPE
+          default: 'kubespray'
+          description: 'Installer to use for deploying the scenario'
+      - string:
+          name: DEPLOY_SCENARIO
+          default: 'k8-calico-spinnaker'
+          description: 'Scenario to deploy and test'
+      - string:
+          name: DEPLOY_TYPE
+          default: 'cloud'
+          description: 'Type of the deployment'
+      - string:
+          name: DISTRO
+          default: '{distro}'
+          description: 'Distribution to use for configuring target nodes (networking etc.)'
+      - string:
+          name: OPENSTACK_CLOUD_PROVIDER
+          default: '{cloud}'
+          description: 'Name of the cloud where this job is run'
+      - string:
+          name: SPINNAKER_VERSION
+          default: '{spinnaker-branch}'
+          description: 'Spinnaker version to deploy'
+      - string:
+          name: STACK_NAME
+          default: 'nordix-cicd-{deploy-scenario}-{spinnaker-branch}'
+      - string:
+          name: HEAT_ENVIRONMENT_FILENAME
+          default: "heat-environment-full.yaml"
+          description: 'Heat environment file to use for creating the stack'
+      - string:
+          name: ENGINE_VERSION
+          default: '{engine-version}'
+          description: 'Development purposes only! Nordix Cloud Infra Engine version to use for deploying Spinnaker. Could be sha, branch'
+      - string:
+          name: ENGINE_REFSPEC
+          default: '{engine-refspec}'
+          description: 'Development purposes only! Nordix Cloud Infra Engine version to use for deploying Spinnaker. Must be refspec.'
+      - string:
+          name: DEPLOY_SCENARIO_VERSION
+          default: '{deploy-scenario-version}'
+          description: 'Development purposes only! Nordix Cloud Infra Scenario version to use for deploying Spinnaker. Depends on DEPLOY_SCENARIO_REFSPEC and could be sha, branch.'
+      - string:
+          name: DEPLOY_SCENARIO_REFSPEC
+          default: '{deploy-scenario-refspec}'
+          description: 'Development purposes only! Nordix Cloud Infra Scenario version to use for deploying Spinnaker. Depends on DEPLOY_SCENARIO_VERSION and must be refspec.'
+      - string:
+          name: POD_NAME
+          default: '{pod-name}'
+          description: 'Development purposes only! Set to none for disabling test results DB reporting.'
+      - string:
+          name: DELETE_STACK
+          default: '{delete-stack}'
+          description: 'Development purposes only! Whether delete the stack or not. It must either be yes or no. Setting this to no will increase the cost!'
+
+    properties:
+      - logrotate
+      - build-blocker:
+          use-build-blocker: true
+          blocking-jobs:
+            - 'cloud-infra-periodic-engine-.*'
+            - 'onap-.*'
+            - 'k8-.*'
+          block-level: 'NODE'
+      - throttle:
+          max-per-node: 1
+          max-total: 1
+          option: project
+
+    wrappers:
+      - credentials-binding:
+          - file:
+              credential-id: '{openrc-credentials-file}'
+              variable: OPENRC_FILE
+      - mask-passwords
+      - build-timeout:
+          timeout: 630
+      - fix-workspace-permissions
+      - openstack:
+          single-use: True
+
+    triggers:
+      - timed: '{daily-trigger}'
+
+    scm:
+      - git-scm:
+          ssh-credentials-id: nordixinfra-nordix-gerrit-ssh
+          branch: '{nordix-branch}'
+          refspec: ''
+          wipe_workspace: true
+          clean_before: false
+
+    builders:
+      - description-setter:
+          description: $DEPLOY_SCENARIO | Spinnaker $SPINNAKER_VERSION
+      - shell: |
+          #!/bin/bash
+          /bin/rm -rf /tmp/openrc && /bin/cp -f $OPENRC_FILE /tmp/openrc
+      - multijob:
+          name: Deploy Spinnaker using Helm
+          condition: ALWAYS
+          projects:
+            - name: 'spinnaker-deploy-{distro}-{installer-type}-{type}-{ci-loop}-{spinnaker-branch}'
+              current-parameters: false
+              predefined-parameters: |
+                DISTRO=$DISTRO
+                OPENSTACK_CLOUD_PROVIDER=$OPENSTACK_CLOUD_PROVIDER
+                DEPLOY_TYPE=$DEPLOY_TYPE
+                PROVISIONER_TYPE=$PROVISIONER_TYPE
+                INSTALLER_TYPE=$INSTALLER_TYPE
+                DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+                SPINNAKER_VERSION=$SPINNAKER_VERSION
+                POD_NAME=$POD_NAME
+                STACK_NAME=$STACK_NAME
+                HEAT_ENVIRONMENT_FILENAME=$HEAT_ENVIRONMENT_FILENAME
+                ENGINE_VERSION=$ENGINE_VERSION
+                ENGINE_REFSPEC=$ENGINE_REFSPEC
+                DEPLOY_SCENARIO_VERSION=$DEPLOY_SCENARIO_VERSION
+                DEPLOY_SCENARIO_REFSPEC=$DEPLOY_SCENARIO_REFSPEC
+              git-revision: true
+              node-parameters: true
+              kill-phase-on: NEVER
+              abort-all-job: false
+      - multijob:
+          name: Test Spinnaker Deployment (not activated)
+          condition: ALWAYS
+          projects:
+            - name: 'spinnaker-test-{distro}-{installer-type}-{type}-{ci-loop}-{spinnaker-branch}'
+              current-parameters: false
+              predefined-parameters: |
+                DISTRO=$DISTRO
+                OPENSTACK_CLOUD_PROVIDER=$OPENSTACK_CLOUD_PROVIDER
+                DEPLOY_TYPE=$DEPLOY_TYPE
+                PROVISIONER_TYPE=$PROVISIONER_TYPE
+                INSTALLER_TYPE=$INSTALLER_TYPE
+                DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+                SPINNAKER_VERSION=$SPINNAKER_VERSION
+                POD_NAME=$POD_NAME
+                STACK_NAME=$STACK_NAME
+                HEAT_ENVIRONMENT_FILENAME=$HEAT_ENVIRONMENT_FILENAME
+                ENGINE_VERSION=$ENGINE_VERSION
+                ENGINE_REFSPEC=$ENGINE_REFSPEC
+                DEPLOY_SCENARIO_VERSION=$DEPLOY_SCENARIO_VERSION
+                DEPLOY_SCENARIO_REFSPEC=$DEPLOY_SCENARIO_REFSPEC
+              git-revision: true
+              node-parameters: true
+              kill-phase-on: NEVER
+              abort-all-job: false
+      - multijob:
+          name: Promote Spinnaker (not activated)
+          condition: ALWAYS
+          projects:
+            - name: 'promote-spinnaker-{distro}-{installer-type}-{type}-{ci-loop}-{spinnaker-branch}'
+              current-parameters: false
+              predefined-parameters: |
+                DISTRO=$DISTRO
+                OPENSTACK_CLOUD_PROVIDER=$OPENSTACK_CLOUD_PROVIDER
+                DEPLOY_TYPE=$DEPLOY_TYPE
+                PROVISIONER_TYPE=$PROVISIONER_TYPE
+                INSTALLER_TYPE=$INSTALLER_TYPE
+                DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+                SPINNAKER_VERSION=$SPINNAKER_VERSION
+                POD_NAME=$POD_NAME
+                STACK_NAME=$STACK_NAME
+                HEAT_ENVIRONMENT_FILENAME=$HEAT_ENVIRONMENT_FILENAME
+                ENGINE_VERSION=$ENGINE_VERSION
+                ENGINE_REFSPEC=$ENGINE_REFSPEC
+                DEPLOY_SCENARIO_VERSION=$DEPLOY_SCENARIO_VERSION
+                DEPLOY_SCENARIO_REFSPEC=$DEPLOY_SCENARIO_REFSPEC
+              git-revision: true
+              node-parameters: true
+              kill-phase-on: NEVER
+              abort-all-job: false
+
+    publishers:
+      - postbuildscript:
+          builders:
+            - role: SLAVE
+              build-on:
+                - SUCCESS
+                - FAILURE
+                - ABORTED
+                - NOT_BUILT
+                - UNSTABLE
+              build-steps:
+                - shell:
+                    !include-raw-escape: ./wait-for-pkg-manager.sh
+                - shell:
+                    !include-raw: ./delete-heat-stack.sh
+
+- job-template:
+    name: '{phase}-{distro}-{installer-type}-{type}-{ci-loop}-{spinnaker-branch}'
+
+    disabled: false
+
+    concurrent: false
+
+    properties:
+      - logrotate
+
+    parameters:
+      - project-parameters:
+          project: '{project}'
+          branch: '{nordix-branch}'
+      - nordix-gerrit-parameters
+      - label:
+          name: SLAVE_LABEL
+          default: 'city-jumphost-ubuntu1804'
+          description: 'Slave label to schedule this job on. All slaves have Ubuntu1604 no matter what distro target nodes use'
+      - string:
+          name: PROVISIONER_TYPE
+          default: 'heat'
+          description: 'Provisioner to use for provisioning nodes'
+      - string:
+          name: INSTALLER_TYPE
+          default: 'kubespray'
+          description: 'Installer to use for deploying the scenario'
+      - string:
+          name: DEPLOY_SCENARIO
+          default: 'k8-calico-spinnaker'
+          description: 'Scenario to deploy and test'
+      - string:
+          name: DEPLOY_TYPE
+          default: 'cloud'
+          description: 'Type of the deployment'
+      - string:
+          name: DISTRO
+          default: '{distro}'
+          description: 'Distribution to use for configuring target nodes (networking etc.)'
+      - string:
+          name: OPENSTACK_CLOUD_PROVIDER
+          default: '{cloud}'
+          description: 'Name of the cloud where this job is run'
+      - string:
+          name: SPINNAKER_VERSION
+          default: '{spinnaker-branch}'
+          description: 'Spinnaker version to deploy'
+      - string:
+          name: STACK_NAME
+          default: 'nordix-cicd-{deploy-scenario}-{spinnaker-branch}'
+      - string:
+          name: HEAT_ENVIRONMENT_FILENAME
+          default: "heat-environment-full.yaml"
+          description: 'Heat environment filename to use for creating the stack'
+      - string:
+          name: HEAT_ENVIRONMENT_FILE
+          default: "file://$WORKSPACE/.cache/repos/swconfig/scenarios/$DEPLOY_SCENARIO/$INSTALLER_TYPE/role/$DEPLOY_SCENARIO/files/$HEAT_ENVIRONMENT_FILENAME"
+          description: 'Heat environment file location to use for creating the stack'
+      - string:
+          name: ENGINE_VERSION
+          default: '{engine-version}'
+          description: 'Development purposes only! Nordix Cloud Infra Engine version to use for deploying Spinnaker. Could be sha, branch'
+      - string:
+          name: ENGINE_REFSPEC
+          default: '{engine-refspec}'
+          description: 'Development purposes only! Nordix Cloud Infra Engine version to use for deploying Spinnaker. Must be refspec.'
+      - string:
+          name: DEPLOY_SCENARIO_VERSION
+          default: '{deploy-scenario-version}'
+          description: 'Development purposes only! Nordix Cloud Infra Scenario version to use for deploying Spinnaker. Depends on DEPLOY_SCENARIO_REFSPEC and could be sha, branch.'
+      - string:
+          name: DEPLOY_SCENARIO_REFSPEC
+          default: '{deploy-scenario-refspec}'
+          description: 'Development purposes only! Nordix Cloud Infra Scenario version to use for deploying Spinnaker. Depends on DEPLOY_SCENARIO_VERSION and must be refspec.'
+      - string:
+          name: POD_NAME
+          default: '{pod-name}'
+          description: 'Development purposes only! Set to none for disabling test results DB reporting.'
+      - string:
+          name: DELETE_STACK
+          default: '{delete-stack}'
+          description: 'Development purposes only! Whether delete the stack or not. It must either be yes or no. Setting this to no will increase the cost!'
+
+    wrappers:
+      - mask-passwords
+      - build-timeout:
+          timeout: '{build-timeout}'
+      - fix-workspace-permissions
+      - credentials-binding:
+          - username-password-separated:
+              credential-id: 'nordix-cicd-arm-credentials'
+              username: NORDIX_ARM_USERNAME
+              password: NORDIX_ARM_TOKEN
+          - username-password-separated:
+              credential-id: 'nordix-cicd-harbor-credentials'
+              username: NORDIX_HARBOR_USERNAME
+              password: NORDIX_HARBOR_PASSWORD
+
+    scm:
+      - git-scm:
+          ssh-credentials-id: nordixinfra-nordix-gerrit-ssh
+          branch: '{nordix-branch}'
+          refspec: ''
+          wipe_workspace: true
+          clean_before: false
+
+    builders:
+      - description-setter:
+          description: $DEPLOY_SCENARIO | Spinnaker $SPINNAKER_VERSION | $OPENSTACK_CLOUD_PROVIDER
+      - '{phase}-macro'
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/cloud-infra/scripts/cloud-infra-ansible-lint.sh b/jjb/cloud-infra/scripts/cloud-infra-ansible-lint.sh
new file mode 100644 (file)
index 0000000..df2c1e7
--- /dev/null
@@ -0,0 +1,73 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+# source engine-vars.sh so we can install the correct versions of
+# pip, ansible, and ansible-lint
+source $WORKSPACE/engine/config/engine-vars.sh
+
+# install dependencies
+sudo apt update > /dev/null 2>&1
+sudo apt install -y -q=3 gcc libffi-dev libssl-dev lsb-release libpython3-dev \
+    python3-minimal python3-pip python3-yaml virtualenv > /dev/null 2>&1
+
+cd $WORKSPACE
+echo "Info: Install pip==$ENGINE_PIP_VERSION ansible==$ENGINE_ANSIBLE_VERSION and ansible-lint==$ENGINE_ANSIBLE_LINT_VERSION"
+echo "----------------------------------------------------"
+
+# install pip, ansible, and ansible-lint in venv
+export ANSIBLE_VENV=$WORKSPACE/.venv
+virtualenv -p python3 --quiet --no-site-packages ${ANSIBLE_VENV}
+source ${ANSIBLE_VENV}/bin/activate
+pip -q install --upgrade pip==$ENGINE_PIP_VERSION
+pip -q install --upgrade virtualenv pip setuptools shade \
+    ansible==$ENGINE_ANSIBLE_VERSION ansible-lint==$ENGINE_ANSIBLE_LINT_VERSION
+
+echo "----------------------------------------------------"
+echo "Info: Done"
+echo "Info: Run ansible-lint on playbooks"
+echo "----------------------------------------------------"
+
+# the locations of the engine playbooks
+playbooks_dir=(engine/playbooks engine/provisioner/bifrost/playbooks engine/provisioner/heat/playbooks \
+    engine/installer/kolla/playbooks engine/installer/kubespray/playbooks)
+
+# set exit_code so we exit ourselves rather than ansible-lint bailing out without
+# verifying all the playbooks
+declare -i exit_code=0
+
+# lint the playbooks
+for dir in ${playbooks_dir[@]}; do
+  for play in $(ls ${WORKSPACE}/${dir}/*.yml); do
+    echo "--> Checking '${play}' playbook..."
+    ansible-lint --nocolor ${play}
+    lint_exit_code=$?
+    if [[ $lint_exit_code != 0 ]]; then
+        exit_code=$lint_exit_code
+    else
+        echo [OK]
+    fi
+    echo
+  done
+done
+echo "----------------------------------------------------"
+echo "Info: Done"
+exit $exit_code
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/cloud-infra/scripts/cloud-infra-shellcheck.sh b/jjb/cloud-infra/scripts/cloud-infra-shellcheck.sh
new file mode 100644 (file)
index 0000000..1144f14
--- /dev/null
@@ -0,0 +1,49 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+# install dependencies
+sudo apt update > /dev/null 2>&1
+sudo apt install -y -q=3 shellcheck > /dev/null 2>&1
+
+cd $WORKSPACE
+echo "Info: Run shellcheck on bash scripts"
+echo "----------------------------------------------------"
+
+# set exit_code so we exit ourselves rather than shellcheck bailing out without
+# verifying all the bash scripts
+declare -i exit_code=0
+
+# lint the bash scripts
+for shell_script in $(find ${WORKSPACE}/ -type f -name *.sh); do
+  echo "--> Checking '${shell_script}' shell script..."
+  shellcheck --color=never ${shell_script}
+  lint_exit_code=$?
+  if [[ $lint_exit_code != 0 ]]; then
+    exit_code=$lint_exit_code
+  else
+    echo [OK]
+  fi
+  echo
+done
+echo "----------------------------------------------------"
+echo "Info: Done"
+exit $exit_code
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/cloud-infra/scripts/promote-spinnaker.sh b/jjb/cloud-infra/scripts/promote-spinnaker.sh
new file mode 100644 (file)
index 0000000..a204a14
--- /dev/null
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+echo "Hello world!"
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/cloud-infra/scripts/spinnaker-deploy.sh b/jjb/cloud-infra/scripts/spinnaker-deploy.sh
new file mode 100644 (file)
index 0000000..bef1b12
--- /dev/null
@@ -0,0 +1,76 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o errexit
+set -o nounset
+
+cd $WORKSPACE
+/bin/rm -f ../inventory.ini
+echo "Info: Preparing for Spinnaker deployment"
+
+# checkout given engine version
+if [[ "$ENGINE_VERSION" != "master" ]]; then
+  echo "Warning: Checking out $ENGINE_VERSION"
+  git checkout -q $ENGINE_VERSION
+fi
+
+# checkout given engine refspec
+if [[ "$ENGINE_REFSPEC" != "master" ]]; then
+  echo "Warning: Checking out engine $ENGINE_REFSPEC"
+  echo "-------------------------------------------------------------------------"
+  git fetch https://gerrit.nordix.org/infra/engine $ENGINE_REFSPEC && git checkout -q FETCH_HEAD
+  echo "-------------------------------------------------------------------------"
+fi
+
+# update scenario version and refspec in engine/envine/var/sdf.yml
+if [[ "$DEPLOY_SCENARIO_VERSION" != "master" && "$DEPLOY_SCENARIO_REFSPEC" != "master" ]]; then
+  echo "Warning: Adding $DEPLOY_SCENARIO_VERSION as scenario version and $DEPLOY_SCENARIO_REFSPEC as scenario refspec"
+cat << EOF > $WORKSPACE/engine/var/sdf.yml
+scenario:
+  $DEPLOY_SCENARIO:
+    scm: git
+    src: https://gerrit.nordix.org/infra/swconfig.git
+    version: $DEPLOY_SCENARIO_VERSION
+    refspec: $DEPLOY_SCENARIO_REFSPEC
+    provisioners:
+      - $PROVISIONER_TYPE
+    installers:
+      $INSTALLER_TYPE:
+        role: scenarios/$DEPLOY_SCENARIO/$INSTALLER_TYPE/role/$DEPLOY_SCENARIO
+        distros:
+          - $DISTRO
+EOF
+
+  echo "Info: Temporary SDF content"
+  echo "-------------------------------------------------------------------------"
+  cat $WORKSPACE/engine/var/sdf.yml
+  echo "-------------------------------------------------------------------------"
+fi
+
+echo "Info: Starting K8S cluster creation and Spinnaker deployment"
+echo "-------------------------------------------------------------------------"
+cd $WORKSPACE
+./engine/deploy.sh -c -r $PROVISIONER_TYPE -u /tmp/openrc \
+  -s $DEPLOY_SCENARIO -e $HEAT_ENVIRONMENT_FILE
+
+cd $WORKSPACE
+/bin/cp $WORKSPACE/.cache/config/inventory.ini ../inventory.ini
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/cloud-infra/scripts/spinnaker-test.sh b/jjb/cloud-infra/scripts/spinnaker-test.sh
new file mode 100644 (file)
index 0000000..a204a14
--- /dev/null
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+echo "Hello world!"
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/cloud-infra/spinnaker-macros.yaml b/jjb/cloud-infra/spinnaker-macros.yaml
new file mode 100644 (file)
index 0000000..c67fcdc
--- /dev/null
@@ -0,0 +1,44 @@
+---
+#
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+- builder:
+    name: 'spinnaker-deploy-macro'
+    builders:
+      - shell:
+          !include-raw: ./wait-for-pkg-manager.sh
+      - shell:
+          !include-raw: ./scripts/spinnaker-deploy.sh
+
+- builder:
+    name: 'spinnaker-test-macro'
+    builders:
+      - shell:
+          !include-raw: ./wait-for-pkg-manager.sh
+      - shell:
+          !include-raw: ./scripts/spinnaker-test.sh
+- builder:
+    name: 'promote-spinnaker-macro'
+    builders:
+      - shell:
+          !include-raw: ./wait-for-pkg-manager.sh
+      - shell:
+          !include-raw: ./scripts/promote-spinnaker.sh
+
+# vim: set ts=2 sw=2 expandtab:
index fd377e6d856c173a61e75dcbb40e3bb3a7cb6c25..95d1d267c80cae052cc6fd21238aae4a5a3cdefe 100755 (executable)
@@ -3,6 +3,11 @@ set -o errexit
 set -o nounset
 set -o pipefail
 
+# install required packages
+sudo apt update > /dev/null 2>&1
+sudo apt install -y -q=3 gcc libffi-dev libssl-dev lsb-release libpython3-dev \
+    python3-minimal python3-pip python3-yaml virtualenv
+
 # workaround for https://github.com/pypa/virtualenv/issues/1029
 export PS1=${PS1:-}
 
@@ -10,7 +15,7 @@ cd $WORKSPACE
 echo "Info: Installing OpenStack Jenkins Job Builder (JJB) version $JJB_VERSION from source in venv"
 echo "----------------------------------------------------"
 git clone -q $JJB_GIT_REPO -b $JJB_VERSION > /dev/null 2>&1
-virtualenv .venv -q
+virtualenv -p python3 --quiet --no-site-packages .venv
 source .venv/bin/activate
 cd jenkins-job-builder && pip install -q -r test-requirements.txt -e .
 echo "Info: Installed JJB"
index 9c74acf0c4dad9e818db1c83fb1bf919da88b57f..8389ae3d63c88aa5d719abe5b13eeb6501a5abe2 100755 (executable)
@@ -3,6 +3,11 @@ set -o errexit
 set -o nounset
 set -o pipefail
 
+# install required packages
+sudo apt update > /dev/null 2>&1
+sudo apt install -y -q=3 gcc libffi-dev libssl-dev lsb-release libpython3-dev \
+    python3-minimal python3-pip python3-yaml virtualenv
+
 # workaround for https://github.com/pypa/virtualenv/issues/1029
 export PS1=${PS1:-}
 
@@ -10,7 +15,7 @@ cd $WORKSPACE
 echo "Info: Installing OpenStack Jenkins Job Builder (JJB) version $JJB_VERSION from source in venv"
 echo "----------------------------------------------------"
 git clone -q $JJB_GIT_REPO -b $JJB_VERSION > /dev/null 2>&1
-virtualenv .venv -q
+virtualenv -p python3 --quiet --no-site-packages .venv
 source .venv/bin/activate
 cd jenkins-job-builder && pip install -q -r test-requirements.txt -e .
 echo "Info: Installed JJB"
diff --git a/jjb/onap/vnfsdk-compliance/vnfsdk-compliance-push-upstream-jobs.yml b/jjb/onap/vnfsdk-compliance/vnfsdk-compliance-push-upstream-jobs.yml
new file mode 100644 (file)
index 0000000..6cce86c
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-compliance-push-upstream
+    project: vnfsdk/compliance
+    project-name: vnfsdk-compliance
+
+    jobs:
+      - 'onap-{project-name}-push-upstream'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-compliance/vnfsdk-compliance-rebase-jobs.yml b/jjb/onap/vnfsdk-compliance/vnfsdk-compliance-rebase-jobs.yml
new file mode 100644 (file)
index 0000000..a595b6c
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-compliance-rebase
+    project: vnfsdk/compliance
+    project-name: vnfsdk-compliance
+
+    jobs:
+      - 'onap-{project-name}-rebase'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-dovetail-integration/vnfsdk-dovetail-integration-push-upstream-jobs.yml b/jjb/onap/vnfsdk-dovetail-integration/vnfsdk-dovetail-integration-push-upstream-jobs.yml
new file mode 100644 (file)
index 0000000..ee95ca3
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-dovetail-integration-push-upstream
+    project: vnfsdk/dovetail-integration
+    project-name: vnfsdk-dovetail-integration
+
+    jobs:
+      - 'onap-{project-name}-push-upstream'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-dovetail-integration/vnfsdk-dovetail-integration-rebase-jobs.yml b/jjb/onap/vnfsdk-dovetail-integration/vnfsdk-dovetail-integration-rebase-jobs.yml
new file mode 100644 (file)
index 0000000..ae2fc57
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-dovetail-integration-rebase
+    project: vnfsdk/dovetail-integration
+    project-name: vnfsdk-dovetail-integration
+
+    jobs:
+      - 'onap-{project-name}-rebase'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-dovetail-integration/vnfsdk-dovetail-integration-verify-jobs.yaml b/jjb/onap/vnfsdk-dovetail-integration/vnfsdk-dovetail-integration-verify-jobs.yaml
new file mode 100644 (file)
index 0000000..92cda6e
--- /dev/null
@@ -0,0 +1,33 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+# this job gets triggered when a change is proposed to
+# vnfsdk/dovetail-integration project on Nordix Gerrit.
+
+- project:
+    name: vnfsdk-dovetail-integration-verify
+    project: vnfsdk/dovetail-integration
+    project-name: vnfsdk-dovetail-integration
+
+    stream:
+      - 'master':
+          branch: '{stream}'
+
+    jobs:
+      - 'onap-{project-name}-{stream}-verify-java'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-functest/vnfsdk-functest-push-upstream-jobs.yml b/jjb/onap/vnfsdk-functest/vnfsdk-functest-push-upstream-jobs.yml
new file mode 100644 (file)
index 0000000..1e1e419
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-functest-push-upstream
+    project: vnfsdk/functest
+    project-name: vnfsdk-functest
+
+    jobs:
+      - 'onap-{project-name}-push-upstream'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-functest/vnfsdk-functest-rebase-jobs.yml b/jjb/onap/vnfsdk-functest/vnfsdk-functest-rebase-jobs.yml
new file mode 100644 (file)
index 0000000..b005a9e
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-functest-rebase
+    project: vnfsdk/functest
+    project-name: vnfsdk-functest
+
+    jobs:
+      - 'onap-{project-name}-rebase'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-functest/vnfsdk-functest-verify-jobs.yaml b/jjb/onap/vnfsdk-functest/vnfsdk-functest-verify-jobs.yaml
new file mode 100644 (file)
index 0000000..897f927
--- /dev/null
@@ -0,0 +1,33 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+# this job gets triggered when a change is proposed to
+# vnfsdk/functest project on Nordix Gerrit.
+
+- project:
+    name: vnfsdk-functest-verify
+    project: vnfsdk/functest
+    project-name: vnfsdk-functest
+
+    stream:
+      - 'master':
+          branch: '{stream}'
+
+    jobs:
+      - 'onap-{project-name}-{stream}-verify-java'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-ice/vnfsdk-ice-push-upstream-jobs.yml b/jjb/onap/vnfsdk-ice/vnfsdk-ice-push-upstream-jobs.yml
new file mode 100644 (file)
index 0000000..ae42e5f
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-ice-push-upstream
+    project: vnfsdk/ice
+    project-name: vnfsdk-ice
+
+    jobs:
+      - 'onap-{project-name}-push-upstream'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-ice/vnfsdk-ice-rebase-jobs.yml b/jjb/onap/vnfsdk-ice/vnfsdk-ice-rebase-jobs.yml
new file mode 100644 (file)
index 0000000..3db9a52
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-ice-rebase
+    project: vnfsdk/ice
+    project-name: vnfsdk-ice
+
+    jobs:
+      - 'onap-{project-name}-rebase'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-ice/vnfsdk-ice-verify-jobs.yaml b/jjb/onap/vnfsdk-ice/vnfsdk-ice-verify-jobs.yaml
new file mode 100644 (file)
index 0000000..1979ed7
--- /dev/null
@@ -0,0 +1,33 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+# this job gets triggered when a change is proposed to
+# vnfsdk/ice project on Nordix Gerrit.
+
+- project:
+    name: vnfsdk-ice-verify
+    project: vnfsdk/ice
+    project-name: vnfsdk-ice
+
+    stream:
+      - 'master':
+          branch: '{stream}'
+
+    jobs:
+      - 'onap-{project-name}-{stream}-verify-java'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-lctest/vnfsdk-lctest-push-upstream-jobs.yml b/jjb/onap/vnfsdk-lctest/vnfsdk-lctest-push-upstream-jobs.yml
new file mode 100644 (file)
index 0000000..f27751a
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-lctest-push-upstream
+    project: vnfsdk/lctest
+    project-name: vnfsdk-lctest
+
+    jobs:
+      - 'onap-{project-name}-push-upstream'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-lctest/vnfsdk-lctest-rebase-jobs.yml b/jjb/onap/vnfsdk-lctest/vnfsdk-lctest-rebase-jobs.yml
new file mode 100644 (file)
index 0000000..ab0a389
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-lctest-rebase
+    project: vnfsdk/lctest
+    project-name: vnfsdk-lctest
+
+    jobs:
+      - 'onap-{project-name}-rebase'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-lctest/vnfsdk-lctest-verify-jobs.yaml b/jjb/onap/vnfsdk-lctest/vnfsdk-lctest-verify-jobs.yaml
new file mode 100644 (file)
index 0000000..929c6ff
--- /dev/null
@@ -0,0 +1,33 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+# this job gets triggered when a change is proposed to
+# vnfsdk/lctest project on Nordix Gerrit.
+
+- project:
+    name: vnfsdk-lctest-verify
+    project: vnfsdk/lctest
+    project-name: vnfsdk-lctest
+
+    stream:
+      - 'master':
+          branch: '{stream}'
+
+    jobs:
+      - 'onap-{project-name}-{stream}-verify-java'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-model/vnfsdk-model-push-upstream-jobs.yml b/jjb/onap/vnfsdk-model/vnfsdk-model-push-upstream-jobs.yml
new file mode 100644 (file)
index 0000000..7451d73
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-model-push-upstream
+    project: vnfsdk/model
+    project-name: vnfsdk-model
+
+    jobs:
+      - 'onap-{project-name}-push-upstream'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-model/vnfsdk-model-rebase-jobs.yml b/jjb/onap/vnfsdk-model/vnfsdk-model-rebase-jobs.yml
new file mode 100644 (file)
index 0000000..f261599
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-model-rebase
+    project: vnfsdk/model
+    project-name: vnfsdk-model
+
+    jobs:
+      - 'onap-{project-name}-rebase'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-oom/vnfsdk-oom-push-upstream-jobs.yml b/jjb/onap/vnfsdk-oom/vnfsdk-oom-push-upstream-jobs.yml
new file mode 100644 (file)
index 0000000..ea3f794
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-oom-push-upstream
+    project: vnfsdk/oom
+    project-name: vnfsdk-oom
+
+    jobs:
+      - 'onap-{project-name}-push-upstream'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-oom/vnfsdk-oom-rebase-jobs.yml b/jjb/onap/vnfsdk-oom/vnfsdk-oom-rebase-jobs.yml
new file mode 100644 (file)
index 0000000..56117e4
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-oom-rebase
+    project: vnfsdk/oom
+    project-name: vnfsdk-oom
+
+    jobs:
+      - 'onap-{project-name}-rebase'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-pkgtools/vnfsdk-pkgtools-push-upstream-jobs.yml b/jjb/onap/vnfsdk-pkgtools/vnfsdk-pkgtools-push-upstream-jobs.yml
new file mode 100644 (file)
index 0000000..e6ba896
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-pkgtools-push-upstream
+    project: vnfsdk/pkgtools
+    project-name: vnfsdk-pkgtools
+
+    jobs:
+      - 'onap-{project-name}-push-upstream'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-pkgtools/vnfsdk-pkgtools-rebase-jobs.yml b/jjb/onap/vnfsdk-pkgtools/vnfsdk-pkgtools-rebase-jobs.yml
new file mode 100644 (file)
index 0000000..de9e135
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-pkgtools-rebase
+    project: vnfsdk/pkgtools
+    project-name: vnfsdk-pkgtools
+
+    jobs:
+      - 'onap-{project-name}-rebase'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-pkgtools/vnfsdk-pkgtools-verify-jobs.yaml b/jjb/onap/vnfsdk-pkgtools/vnfsdk-pkgtools-verify-jobs.yaml
new file mode 100644 (file)
index 0000000..484c8f7
--- /dev/null
@@ -0,0 +1,33 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+# this job gets triggered when a change is proposed to
+# vnfsdk/pkgtools project on Nordix Gerrit.
+
+- project:
+    name: vnfsdk-pkgtools-verify
+    project: vnfsdk/pkgtools
+    project-name: vnfsdk-pkgtools
+
+    stream:
+      - 'master':
+          branch: '{stream}'
+
+    jobs:
+      - 'onap-{project-name}-{stream}-verify-java'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-refrepo/vnfsdk-refrepo-push-upstream-jobs.yml b/jjb/onap/vnfsdk-refrepo/vnfsdk-refrepo-push-upstream-jobs.yml
new file mode 100644 (file)
index 0000000..8251640
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-refrepo-push-upstream
+    project: vnfsdk/refrepo
+    project-name: vnfsdk-refrepo
+
+    jobs:
+      - 'onap-{project-name}-push-upstream'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-refrepo/vnfsdk-refrepo-rebase-jobs.yml b/jjb/onap/vnfsdk-refrepo/vnfsdk-refrepo-rebase-jobs.yml
new file mode 100644 (file)
index 0000000..14b342c
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-refrepo-rebase
+    project: vnfsdk/refrepo
+    project-name: vnfsdk-refrepo
+
+    jobs:
+      - 'onap-{project-name}-rebase'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-refrepo/vnfsdk-refrepo-verify-jobs.yaml b/jjb/onap/vnfsdk-refrepo/vnfsdk-refrepo-verify-jobs.yaml
new file mode 100644 (file)
index 0000000..12db5af
--- /dev/null
@@ -0,0 +1,33 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+# this job gets triggered when a change is proposed to
+# vnfsdk/refrepo project on Nordix Gerrit.
+
+- project:
+    name: vnfsdk-refrepo-verify
+    project: vnfsdk/refrepo
+    project-name: vnfsdk-refrepo
+
+    stream:
+      - 'master':
+          branch: '{stream}'
+
+    jobs:
+      - 'onap-{project-name}-{stream}-verify-java'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-validation/vnfsdk-validation-push-upstream-jobs.yml b/jjb/onap/vnfsdk-validation/vnfsdk-validation-push-upstream-jobs.yml
new file mode 100644 (file)
index 0000000..27bb1a6
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-validation-push-upstream
+    project: vnfsdk/validation
+    project-name: vnfsdk-validation
+
+    jobs:
+      - 'onap-{project-name}-push-upstream'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-validation/vnfsdk-validation-rebase-jobs.yml b/jjb/onap/vnfsdk-validation/vnfsdk-validation-rebase-jobs.yml
new file mode 100644 (file)
index 0000000..b216cac
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-validation-rebase
+    project: vnfsdk/validation
+    project-name: vnfsdk-validation
+
+    jobs:
+      - 'onap-{project-name}-rebase'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-validation/vnfsdk-validation-verify-jobs.yaml b/jjb/onap/vnfsdk-validation/vnfsdk-validation-verify-jobs.yaml
new file mode 100644 (file)
index 0000000..d1531d8
--- /dev/null
@@ -0,0 +1,33 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+# this job gets triggered when a change is proposed to
+# vnfsdk/validation project on Nordix Gerrit.
+
+- project:
+    name: vnfsdk-validation-verify
+    project: vnfsdk/validation
+    project-name: vnfsdk-validation
+
+    stream:
+      - 'master':
+          branch: '{stream}'
+
+    jobs:
+      - 'onap-{project-name}-{stream}-verify-java'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-ves-agent/vnfsdk-ves-agent-push-upstream-jobs.yml b/jjb/onap/vnfsdk-ves-agent/vnfsdk-ves-agent-push-upstream-jobs.yml
new file mode 100644 (file)
index 0000000..c8a9432
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-ves-agent-push-upstream
+    project: vnfsdk/ves-agent
+    project-name: vnfsdk-ves-agent
+
+    jobs:
+      - 'onap-{project-name}-push-upstream'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk-ves-agent/vnfsdk-ves-agent-rebase-jobs.yml b/jjb/onap/vnfsdk-ves-agent/vnfsdk-ves-agent-rebase-jobs.yml
new file mode 100644 (file)
index 0000000..a9fc841
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-ves-agent-rebase
+    project: vnfsdk/ves-agent
+    project-name: vnfsdk-ves-agent
+
+    jobs:
+      - 'onap-{project-name}-rebase'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk/vnfsdk-push-upstream-jobs.yml b/jjb/onap/vnfsdk/vnfsdk-push-upstream-jobs.yml
new file mode 100644 (file)
index 0000000..2b6503d
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-push-upstream
+    project: vnfsdk
+    project-name: vnfsdk
+
+    jobs:
+      - 'onap-{project-name}-push-upstream'
\ No newline at end of file
diff --git a/jjb/onap/vnfsdk/vnfsdk-rebase-jobs.yml b/jjb/onap/vnfsdk/vnfsdk-rebase-jobs.yml
new file mode 100644 (file)
index 0000000..a92409e
--- /dev/null
@@ -0,0 +1,26 @@
+---
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+- project:
+    name: vnfsdk-rebase
+    project: vnfsdk
+    project-name: vnfsdk
+
+    jobs:
+      - 'onap-{project-name}-rebase'
\ No newline at end of file